Skip to main content
GET
/
api
/
v1
/
repositories
/
{repo_name}
/
tags
cURL
curl --request GET \
  --url https://api.example.com/api/v1/repositories/{repo_name}/tags \
  --header 'Authorization: Bearer <token>'
{
  "repository": "<string>",
  "tags": [
    {
      "commit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "reference": "<string>",
      "tag_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tag_name": "<string>",
      "updated_at": "2023-11-07T05:31:56Z",
      "description": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

repo_name
string
required

Repository name

Response

List of tags in repository

Response body for GET /api/v1/repositories/{repo_name}/tags

repository
string
required

The repository name

tags
object[]
required

List of tags in this repository